Bug 1566255 - DRb 'close' error for closed connection
Summary: DRb 'close' error for closed connection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.2
Assignee: Adam Grare
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On: 1566198
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 21:23 UTC by Satoe Imaishi
Modified: 2018-05-07 20:49 UTC (History)
4 users (show)

Fixed In Version: 5.9.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1566198
Environment:
Last Closed: 2018-05-07 20:48:53 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 0 None None None 2018-05-07 20:49:18 UTC

Comment 2 CFME Bot 2018-04-12 13:21:30 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/4be11da658819f2811a5217b8db0c61b51065aa4
commit 4be11da658819f2811a5217b8db0c61b51065aa4
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Mon Apr  9 16:36:15 2018 -0400
Commit:     Joe Rafaniello <jrafanie@users.noreply.github.com>
CommitDate: Mon Apr  9 16:36:15 2018 -0400

    Merge pull request #17267 from agrare/bz_1562401_empty_pool_after_fork

    Set DRb conn pool to [] after closing connections
    (cherry picked from commit 142129eddf87212b71b60222d3dc41b2ed2e6e65)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1566255

 app/models/miq_worker.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 3 Dmitry Misharov 2018-05-04 07:30:21 UTC
Fixed and verified in 5.9.2.4.20180501195858_35dc609.

Comment 6 errata-xmlrpc 2018-05-07 20:48:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.